package g.g11.controller.order;

import g.g11.bean.Order;
import g.g11.bean.RespBean;
import g.g11.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/order/basic")
public class OrderBasicController {
    @Autowired
    OrderService orderService;

    @RequestMapping(value = "/order", method = RequestMethod.POST)
    public RespBean addOrder(Order order) {
        if (orderService.addOrder(order) == 1) {
            return RespBean.ok("添加成功!");
        }
        return RespBean.error("添加失败!");
    }

    @RequestMapping(value = "/order", method = RequestMethod.PUT)
    public RespBean updateOrder(Order order) {
        if (orderService.updateOrder(order) == 1) {
            return RespBean.ok("更新成功!");
        }
        return RespBean.error("更新失败!");
    }

    @RequestMapping(value = "/order/{ids}", method = RequestMethod.DELETE)
    public RespBean deleteOrderById(@PathVariable String ids) {
        if (orderService.deleteOrderById(ids)) {
            return RespBean.ok("删除成功!");
        }
        return RespBean.error("删除失败!");
    }

    @RequestMapping(value = "/order", method = RequestMethod.GET)
    public Map<String, Object> getOrderByPage(
            @RequestParam(defaultValue = "1") Integer page,
            @RequestParam(defaultValue = "10") Integer size,
            @RequestParam(defaultValue = "") String keywords) {
        Map<String, Object> map = new HashMap<>();
        List<Order> orderByPage = orderService.getOrderByPage(page, size, keywords);
        Long count = orderService.getCountByKeywords(keywords);
        map.put("emps", orderByPage);
        map.put("count", count);
        return map;
    }
//    @RequestMapping(value = "/order/datatable", method = RequestMethod.GET)
//    public Map<String, Object> getOrderByDatatable(){
//
//    }
}
