package g.g11.service;

import g.g11.bean.Order;
import g.g11.mapper.OrderMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class OrderService {
    @Autowired
    OrderMapper orderMapper;

    public int addOrder(Order order) {
        return orderMapper.addOrder(order);
    }

    public List<Order> getOrderByPage(Integer page, Integer size, String keywords) {
        int start = (page - 1) * size;
        return orderMapper.getOrderByPage(start, size, keywords);
    }

    public Long getCountByKeywords(String keywords) {
        return orderMapper.getCountByKeywords(keywords);
    }

    public int updateOrder(Order order) {
        return orderMapper.updateOrder(order);
    }

    public boolean deleteOrderById(String ids) {
        String[] split = ids.split(",");
        return orderMapper.deleteOrderById(split) == split.length;
    }
    //unused
    public List<Order> getAllOrders() {
        return orderMapper.getOrderByPage(null, null, "");
    }
    //unused
    public int addOrders(List<Order> orders) {
        return orderMapper.addOrders(orders);
    }
    //unused
    public List<Order> getOrderByPageShort(Integer page, Integer size) {
        int start = (page - 1) * size;
        return orderMapper.getOrderByPageShort(start,size);
    }
}
